开源改变世界!!

Raspberry Pi 3 + UGS 最新版本 – 平台无法启动 #918

推推 grbl 1年前 (2023-01-27) 106次浏览
关闭
dakegg 打开了这个问题 2018 年 2 月 24 日 · 10 条评论
关闭

Raspberry Pi 3 + UGS 最新版本 – 平台无法启动#918

dakegg 打开了这个问题 2018 年 2 月 24 日 · 10 条评论

注释

Raspberry Pi 3 + UGS 最新版本 - 平台无法启动 #918

新的完整 Raspian 图像,下载的 UGS 和 maven,run_platfom.sh 进行编译,我得到一个闪屏,但 UGS 从未启动。

run_classic 启动基本的 gui,但尽管连接到 USB,grbl 永远不会加载,所以没有命令会起作用……

Raspberry Pi 3 + UGS 最新版本 - 平台无法启动 #918
贡献者
卡内基 评论了 2018 年 2 月 24 日 通过电子邮件
Raspberry Pi 3 + UGS 最新版本 - 平台无法启动 #918
贡献者
卡内基 评论了 2018 年 2 月 24 日 通过电子邮件  

Raspberry Pi 3 + UGS 最新版本 - 平台无法启动 #918
贡献者
卡内基 评论了 2018 年 2 月 24 日 通过电子邮件
Raspberry Pi 3 + UGS 最新版本 - 平台无法启动 #918
合作者

啊,我想我知道问题出在哪里了。加载类后,它会尝试加载 GL 功能,而不是像以前那样在构造函数中执行此操作,后者需要 NetBeans 捕获并处理错误。

public final class Visualizer2TopComponent extends TopComponent {
 -    private static GLCapabilities glCaps;		 
 +    private final static GLCapabilities glCaps = new GLCapabilities(null);

我将启动我的旧 RPi 并进行测试。
对不起大家!

breiler 添加了对 breiler/Universal-G-Code-Sender 的提交,引用了这个问题 2018 年 2 月 24 日

Raspberry Pi 3 + UGS 最新版本 - 平台无法启动 #918
合作者

我可以重新创建问题并移动 GL-capabiltites 的初始化,问题似乎已解决。

Raspberry Pi 3 + UGS 最新版本 - 平台无法启动 #918
作者
达克格 评论了 2018 年 2 月 24 日 通过电子邮件
Raspberry Pi 3 + UGS 最新版本 - 平台无法启动 #918
合作者

一旦有人(@winder=) 已审查并合并,它应该在下一个夜间构建中可用。

如果您想尽快尝试,可以从我的分支https://github.com/breiler/Universal-G-Code-Sender.git获取分支visualizer_problems并构建它。

Raspberry Pi 3 + UGS 最新版本 - 平台无法启动 #918
所有者

对不起大家,我落后于 PR。继续并修复了这个错误,谢谢@breiler

Raspberry Pi 3 + UGS 最新版本 - 平台无法启动 #918
合作者

谢谢威尔,我希望我不会造成更多破坏!🤗

Raspberry Pi 3 + UGS 最新版本 - 平台无法启动 #918
作者

荣誉绅士!我能够在 PI 和平台运行、连接等方面更新 UGS…

我现在遇到了 .nc 文件的问题,这些文件在 Windows 经典版本上运行良好,就像机器大 10 倍一样,所以我需要做一些测试,但感谢大家解决了这个错误!